public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
Search results ordered by [date|relevance]  view[summary|nested|Atom feed]
thread overview below | download mbox.gz: |
* [gentoo-commits] repo/gentoo:master commit in: x11-drivers/xf86-input-wacom/
@ 2015-11-25 21:34 99% Manuel Rüger
  0 siblings, 0 replies; 1+ results
From: Manuel Rüger @ 2015-11-25 21:34 UTC (permalink / raw
  To: gentoo-commits

commit:     94a9559da4294fb63472564f3ff1d085fce95d9f
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 25 21:34:20 2015 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Nov 25 21:34:20 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94a9559d

x11-drivers/xf86-input-wacom: Version bump to 0.32.0

Package-Manager: portage-2.2.26

 x11-drivers/xf86-input-wacom/Manifest              |  1 +
 .../xf86-input-wacom-0.32.0.ebuild                 | 60 ++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/x11-drivers/xf86-input-wacom/Manifest b/x11-drivers/xf86-input-wacom/Manifest
index 8e420d7..83c6f0e 100644
--- a/x11-drivers/xf86-input-wacom/Manifest
+++ b/x11-drivers/xf86-input-wacom/Manifest
@@ -2,3 +2,4 @@ DIST xf86-input-wacom-0.24.0.tar.bz2 581176 SHA256 96478b26c125938245d386f50b528
 DIST xf86-input-wacom-0.29.0.tar.bz2 589495 SHA256 88507e76f1eb98a20c4381806e03c694adcff88ac0028f93892019a7a6fc8b96 SHA512 26035a0b49f15f1782ab0ffe4c24383db84f203f0e8c2e82a9e1f4fa015bc3272b6e7250ee2c25eaa1bba4c4eeb71775f2adc331d0df957bbb952dbe1c6766a4 WHIRLPOOL 68a89ea73370bcd7b9b79a7c17c6c10edf603c80300d3ea0b6092731bb9fff767fe4cc454a1f60585fa273165ce7706e72a6a07cf9d287867a504c385dcff8f1
 DIST xf86-input-wacom-0.30.0.tar.bz2 591648 SHA256 8ad4e479a4fc6d3c18e680958a8f42c3c87f15fdf8d2561810ca01a0a78841f5 SHA512 115e87715e736d77ad4e45e29287c855289cea5871983b7ad2e7e1e64954078de184d1b78157e958a0c9e7b949061b4c5599e2b11e87d5019a843bcaa34e0381 WHIRLPOOL 92f93b8694760c5dfbfb0182909e5b2ec3a8c197143962249c032f51483f3b194db12ad522cdfe8401b7368f99395dbf0b941b73a9691cea19cc156a180e6fb6
 DIST xf86-input-wacom-0.31.0.tar.bz2 592564 SHA256 e7e9723f048071adabc878bf6139342ea39dea5e3a8134452df5a33bef2e3f76 SHA512 6c24394038585d90b9b30c594b773b36b5ea26ea5eaab73519cd2e1b56eb2ad3e1f3991ca3962a70468da32e83105c9619f524afbf4e6c500661c7c62b4261e8 WHIRLPOOL d84326730a73a50c420876c2e81adc836dcf657d746e09b614902c879390230c43d657f748fd015f874ebe11f277c9b586ddaf762e1aac551ff05a74321c48ff
+DIST xf86-input-wacom-0.32.0.tar.bz2 594080 SHA256 8c97ac9afc8150a7c45426e2ccb00fe22eb52671024d41884899e55ce21e870d SHA512 57991c8ba69281e85c14a23f4a2e7403f550118ac6cdee3c72798bc4342b5964318eeb5404302296fb7046d9dc49e167d2ed4d2e9441a28e39558e5e575dc21b WHIRLPOOL 1c9412126f21f1cbea4fe90195d1f9d0cd0ac62dc8469d73c8b830c8c750580b6bd951ee2cca7a0e7983d36596a257300c190f3ec4fc2422eb84f950e3383e74

diff --git a/x11-drivers/xf86-input-wacom/xf86-input-wacom-0.32.0.ebuild b/x11-drivers/xf86-input-wacom/xf86-input-wacom-0.32.0.ebuild
new file mode 100644
index 0000000..8ec78b8
--- /dev/null
+++ b/x11-drivers/xf86-input-wacom/xf86-input-wacom-0.32.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit linux-info xorg-2
+
+DESCRIPTION="Driver for Wacom tablets and drawing devices"
+HOMEPAGE="http://linuxwacom.sourceforge.net/"
+LICENSE="GPL-2"
+EGIT_REPO_URI="git://linuxwacom.git.sourceforge.net/gitroot/linuxwacom/${PN}"
+[[ ${PV} != 9999* ]] && \
+	SRC_URI="mirror://sourceforge/linuxwacom/${PN}/${P}.tar.bz2"
+
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug"
+
+# depend on libwacom for its udev rules, bug #389633
+RDEPEND="dev-libs/libwacom
+	virtual/udev
+	>=x11-base/xorg-server-1.7
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXi
+	x11-libs/libXrandr
+	x11-libs/libXinerama"
+DEPEND="${RDEPEND}
+	x11-proto/randrproto"
+
+pkg_setup() {
+	linux-info_pkg_setup
+
+	XORG_CONFIGURE_OPTIONS=(
+		$(use_enable debug)
+	)
+}
+
+src_install() {
+	xorg-2_src_install
+
+	rm -rf "${ED}"/usr/share/hal
+}
+
+pkg_pretend() {
+	linux-info_pkg_setup
+
+	if ! linux_config_exists \
+			|| ! linux_chkconfig_present TABLET_USB_WACOM \
+			|| ! linux_chkconfig_present INPUT_EVDEV; then
+		echo
+		ewarn "If you use a USB Wacom tablet, you need to enable support in your kernel"
+		ewarn "  Device Drivers --->"
+		ewarn "    Input device support --->"
+		ewarn "      <*>   Event interface"
+		ewarn "      [*]   Tablets  --->"
+		ewarn "        <*>   Wacom Intuos/Graphire tablet support (USB)"
+		echo
+	fi
+}


^ permalink raw reply related	[relevance 99%]

Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2015-11-25 21:34 99% [gentoo-commits] repo/gentoo:master commit in: x11-drivers/xf86-input-wacom/ Manuel Rüger

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox